The BOOST_PP_SEQ_SUBSEQ macro expands to a subseq of elements in a seq.

#### Usage

BOOST_PP_SEQ_SUBSEQ(seq, i, len)

#### Arguments

seq
  The seq whose size is to be calculated.
i
  The index of the first element of the subseq to be extracted.
len
  The length of the subseq to be extracted.

#### Remarks

This macro expands to a seq extracted from seq.

#### Requirements

Header: <boost/preprocessor/seq/subseq.hpp>

#### Sample Code

    #include <boost/preprocessor/seq/subseq.hpp>

    #define SEQ (0)(1)(2)(3)(4)(5)

    BOOST_PP_SEQ_SUBSEQ(SEQ, 2, 3) // expands to (2)(3)(4)